## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <classes>

`<classes>` | specifies all the classes of which the documented element or class is a member or subclass.

Attributes

(In addition to global attributes)

`names` | lists the identifiers of all classes of which the documented element or class is a member or subclass, possibly using parentheses to indicate inheritance.
| Datatype: CDATA
| Values: a list of class names separated by spaces or commas, and optionally enclosed by parentheses; each name should be the class name specified for some element class in the scheme being documented or modified.
| Default: #REQUIRED

Example

    <classes names="HQINTER INTER COMMON">hqinter
    [and indirectly also:] common, inter</classes>

This `<classes>` element indicates that the element documented is a member of the class hqinter, which is itself a subclass of the classes inter and thus also of common. The value of the `names` attribute and the content are synonymous, two ways of representing the same information.

Example

    <classes names="HQINTER">hqinter</classes>

This `<classes>` element indicates that the element documented is a member of the class hqinter, but gives no indication that hqinter is itself a subclass of phrase.

Module Declared in file teitsd2; Auxiliary DTD for Tag Set documentation
Data Description Empty
May contain #PCDATA
May occur within
Declaration

    <!ELEMENT classes %om.RO; (#PCDATA)>
    <!ATTLIST classes
          %a.global;
          names CDATA #REQUIRED>

See further 27.1 The TagDoc Documentation Element; 27.2 Element Classes

Up: 35 Elements